Bug 1611984 - qemu prompt "qxl_cursor: not implemented: type 1" when boot Win2008R2 guest
Summary: qemu prompt "qxl_cursor: not implemented: type 1" when boot Win2008R2 guest
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm-rhev
Version: 7.6
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Gerd Hoffmann
QA Contact: Guo, Zhiyi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-03 07:55 UTC by jingzhao
Modified: 2018-12-21 22:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-21 22:11:20 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description jingzhao 2018-08-03 07:55:10 UTC
Description of problem:
qemu prompt "qxl_cursor: not implemented: type 1" when boot Win2008R2 guest

Version-Release number of selected component (if applicable):
kerne-3.10.0-931.el7.x86_64
qemu-kvm-rhev-2.12.0-9.el7.x86_64
virtio-win:virtio-win-1.9.4-2.el7

How reproducible:
3/3

Steps to Reproduce:
1. Boot up Win2008R2 guest with qemu command line[1]


Actual results:
(qemu) qxl_cursor: not implemented: type 1
qxl_cursor: not implemented: type 1
qxl_cursor: not implemented: type 1


Expected results:
No qxl message output

Additional info:

Comment 2 Gerd Hoffmann 2018-08-16 07:06:44 UTC
It's SPICE_CURSOR_TYPE_MONO.  /me looks surprised that windows actually used that.  These days SPICE_CURSOR_TYPE_ALPHA is common ...

Message comes from local renderer, used for screendumps and vnc server.  screendumps have no cursor anyway.  So this only has a visible effect in case one runs qxl with vnc, which is not recommended anyway.  Also not a regression.

Setting to low priority, moving to 7.7.

Comment 4 Peter Wu 2018-09-03 14:49:31 UTC
I ran into this as well, not just with VNC but also GTK. The AND mask ('mask') and XOR mask ('image') respectively for the affected cursor:
//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////8=
AAAAAAAAAAAB3AAAACAAAAAgAAAAIAAAACAAAAAgAAAAIAAAACAAAAAgAAAAIAAAACAAAAAgAAAAIAAAACAAAAAgAAAB3AAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAAA=

I'll post a patch to the qemu-devel list.

Comment 5 Gerd Hoffmann 2018-09-05 12:32:45 UTC
https://patchwork.ozlabs.org/patch/965487/

Comment 6 Gerd Hoffmann 2018-11-27 09:46:02 UTC
upstream commit 36ffc122dcd69ab66db4afab3a13cfca46bfc323 (qemu 3.1)

Comment 7 Ademar Reis 2018-12-21 22:11:20 UTC
Given this is a low priority with minimal impact, I'm closing this as NEXTRELEASE. It'll be included after a rebase in RHEL8, soon enough.

Peter Wu: thanks for the upstream patch.


Note You need to log in before you can comment on or make changes to this bug.